import {getDimensions, initNavigation, loadData} from "./lib.js";

window.addEventListener('load', () => {
    initNavigation()

    //fill dropdowns with dimensions
    const selectors = Array.from(document.querySelectorAll('.visa-type-autofill'));
    console.log(selectors);
    loadData().then(([schengenCsv, countryCsv])=>{
        const dimensions = getDimensions(schengenCsv)
        console.log(dimensions)
        selectors.map(selector => {
            dimensions.forEach(dimension => {
                const optionEl = document.createElement('option');
                optionEl.setAttribute("value", dimension);
                optionEl.textContent = dimension;
                selector.append(optionEl);
            })
        });
    })

});